<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Repair List - Auto Repairs</title>

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
	<!--
		----------------------------------------------------------------------------
		Nav bar
		----------------------------------------------------------------------------
	-->
	<header>
		<nav class="navbar navbar-expand-sm navbar-light bg-light">
			<div class="container-fluid">
				<a class="navbar-brand" href="../index.html">Auto Repairs</a>
				<!-- Responsive navbar expander for narrow viewports -->
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
					aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="../index.html">Home</a>
						</li>
						<li class="nav-item" id="login-nav-item">
							<a class="nav-link" href="../accounts/login.html">Log In</a>
						</li>
						<li class="nav-item" id="create-account-nav-item">
							<a class="nav-link" href="../accounts/create-account.html">Create Account</a>
						</li>
						<li class="nav-item" id="repairs-nav-item" hidden>
							<!-- link to a page for viewing repairs. Admins get a different endpoint for now -->
							<a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
						</li>
						<li class="nav-item" id="create-repair-nav-item" hidden>
							<a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
						</li>
						<li class="nav-item" id="account-nav-item" hidden>
							<!-- page to view and edit accounts -->
							<a class="nav-link" href="../accounts/update-account.html">Account</a>
						</li>
						<li class="nav-item" id="all-accounts-nav-item" hidden>
							<a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
						</li>
						<li class="nav-item" id="logout-nav-item" hidden>
							<a class="nav-link" href="#">Log Out</a>
						</li>
					</ul>
				</div>
				<!-- navbar links -->
			</div>
		</nav>
	</header>
	<!--
		----------------------------------------------------------------------------
		Main body
		----------------------------------------------------------------------------
	-->
	<main>
		<!-- Filtered search form -->
		<div class="container">
			<form id="filtered-search-form" class="row row-cols-lg-auto g-3 align-items-center justify-content-end">
				<div class="col-12">
					<label for="filtered-search-form">Filtered Search</label>
				</div>

				<div class="col-12">
					<label class="visually-hidden" for="filtered-search-form-status">Status</label>
					<select class="form-select" id="filtered-search-form-status">
						<option value="">All Status</option>
						<option value="PENDING">Pending</option>
						<option value="IN_PROGRESS">In Progress</option>
						<option value="COMPLETED">Completed</option>
					</select>
				</div>

				<div class="col-12">
					<label class="visually-hidden" for="filtered-search-form-problem">Problem</label>
					<input type="text" class="form-control" id="filtered-search-form-problem"></input>
				</div>

				<div class="col-12">
					<button type="submit" class="btn btn-outline-secondary">Filter</button>
				</div>
			</form>
		</div>

		<!-- Repairs table-->
		<div class="container-md table-responsive">
			<table id="repair-table" class="table table-hover align-middle" style="min-width: 500px;" hidden>
				<caption>All repairs that are stored</caption>
				<thead>
					<th scope="col">Make</th>
					<th scope="col">Model</th>
					<th scope="col">Year</th>
					<th scope="col">Date Submitted</th>
					<th scope="col">Date Completed</th>
					<th scope="col">Price</th>
					<th scope="col">Problem</th>
					<th scope="col">Solution</th>
					<th scope="col">Status</th>
				</thead>
				<tbody id="repair-table-body">
					<!-- Body is filled in if the user is logged in -->
				</tbody>
			</table>
		</div>

	</main>

	<!-- info modal to display clicked on repair info -->
	<div class="modal fade" id="repair-info-modal" tabindex="-1" aria-labelledby="repair-info-modal-label"
		aria-hidden="true">
		<div class="modal-dialog modal-dialog-scrollable">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="repair-info-modal-label">View Repair Details</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<div class="container col-md-12">
						<div class="row">
							<div class="col">
								<label for="repair-info-modal-make" class="col-form-label">Make:</label>
								<p id="repair-info-modal-make"></p>
							</div>
							<div class="col">
								<label for="repair-info-modal-model" class="col-form-label">Model:</label>
								<p id="repair-info-modal-model"></p>
							</div>
							<div class="col">
								<label for="repair-info-modal-year" class="col-form-label">Year:</label>
								<p id="repair-info-modal-year"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<label for="repair-info-modal-price" class="col-form-label">Price:</label>
								<p id="repair-info-modal-price"></p>
							</div>
							<div class="col-md-6">
								<label for="repair-info-modal-status" class="col-form-label">Status:</label>
								<p id="repair-info-modal-status"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<label for="repair-info-modal-problem" class="col-form-label">Problem:</label>
								<p id="repair-info-modal-problem"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<label for="repair-info-modal-solution" class="col-form-label">Solution:</label>
								<p id="repair-info-modal-solution"></p>
							</div>
						</div>
						<div class="row">
							<div class="col">
								<label for="repair-info-modal-date-submitted" class="col-form-label">Date
									Submitted:</label>
								<p id="repair-info-modal-date-submitted"></p>
							</div>
							<div class="col">
								<label for="repair-info-modal-date-completed" class="col-form-label">Date
									Completed</label>
								<p id="repair-info-modal-date-completed"></p>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>


	<!-- JS imports -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
		crossorigin="anonymous"></script>
	<script src="../js/server-requests.js"></script>
	<script src="../js/nav-bar.js"></script>
	<script src="./repairs.js"></script>
</body>

</html>